Create a Node
Creates a new Node in a Flow.
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data @- <<EOF
{
"type": "if",
"target": "63c6c16a7e1ef09c81f6075d",
"extension": "@cognigy/basic-nodes",
"label": "A new Node",
"comment": "this is a very important node",
"commentColor": "#ff8a80",
"isEntryPoint": false,
"isDisabled": false,
"config": {
"condition": {
"type": "rule",
"condition": "",
"rule": {
"left": "1",
"operand": "gt",
"right": "2"
}
}
},
"localeReference": "63bd8ebb648e6e739f1bbd82",
"analyticsLabel": "condition",
"mock": {
"isEnabled": false,
"code": "console.log('Hello, world!');"
},
"position": 42
}
EOFimport requests
url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes"
payload = {
"type": "if",
"target": "63c6c16a7e1ef09c81f6075d",
"extension": "@cognigy/basic-nodes",
"label": "A new Node",
"comment": "this is a very important node",
"commentColor": "#ff8a80",
"isEntryPoint": False,
"isDisabled": False,
"config": { "condition": {
"type": "rule",
"condition": "",
"rule": {
"left": "1",
"operand": "gt",
"right": "2"
}
} },
"localeReference": "63bd8ebb648e6e739f1bbd82",
"analyticsLabel": "condition",
"mock": {
"isEnabled": False,
"code": "console.log('Hello, world!');"
},
"position": 42
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'if',
target: '63c6c16a7e1ef09c81f6075d',
extension: '@cognigy/basic-nodes',
label: 'A new Node',
comment: 'this is a very important node',
commentColor: '#ff8a80',
isEntryPoint: false,
isDisabled: false,
config: {
condition: {type: 'rule', condition: '', rule: {left: '1', operand: 'gt', right: '2'}}
},
localeReference: '63bd8ebb648e6e739f1bbd82',
analyticsLabel: 'condition',
mock: {isEnabled: false, code: 'console.log(\'Hello, world!\');'},
position: 42
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "if",
"extension": "@cognigy/basic-nodes",
"label": "A new Node",
"comment": "this is a very important node",
"commentColor": "#ff8a80",
"isEntryPoint": false,
"isDisabled": false,
"config": {
"condition": {
"type": "rule",
"condition": "",
"rule": {
"left": "1",
"operand": "gt",
"right": "2"
}
}
},
"localeReference": "63bd8ebb648e6e739f1bbd82",
"analyticsLabel": "condition",
"mock": {
"isEnabled": false,
"code": "console.log('Hello, world!');"
},
"_id": "<string>"
}{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}Authorizations
Supply the API Key in the HTTP-Header
Headers
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
application/json, application/hal+json, application/xml, text/xml, text/csv Path Parameters
The unique identifier for the Flow.
24^[a-z0-9]{24}$Body
Type of the Node
"if"
The ID of the previous or parent Node to which the current Node should be attached.
"63c6c16a7e1ef09c81f6075d"
append, prepend, appendChild, prependChild, insertChildAt, insertAfter, insertBefore "@cognigy/basic-nodes"
Replaces the default name of the Node displayed in the Flow Editor.
"A new Node"
Adds additional information about Nodes, for example, a specific of the Node.
"this is a very important node"
^#(?:[0-9a-fA-F]{3}){1,2}$"#ff8a80"
false
false
{
"condition": {
"type": "rule",
"condition": "",
"rule": {
"left": "1",
"operand": "gt",
"right": "2"
}
}
}
"63bd8ebb648e6e739f1bbd82"
"condition"
Show child attributes
Show child attributes
The desired position. Only used for insertChildAt.
0 <= x <= 214748364742
Response
Returns ChartNode metadata object.
Type of the Node
"if"
"@cognigy/basic-nodes"
Replaces the default name of the Node displayed in the Flow Editor.
"A new Node"
Adds additional information about Nodes, for example, a specific of the Node.
"this is a very important node"
^#(?:[0-9a-fA-F]{3}){1,2}$"#ff8a80"
false
false
{
"condition": {
"type": "rule",
"condition": "",
"rule": {
"left": "1",
"operand": "gt",
"right": "2"
}
}
}
"63bd8ebb648e6e739f1bbd82"
"condition"
Show child attributes
Show child attributes
24^[a-z0-9]{24}$